Bug 73117 - error when compiling rpmdb.c (fnmatch)
Summary: error when compiling rpmdb.c (fnmatch)
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 1.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-30 22:00 UTC by DaClink
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-15 12:50:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description DaClink 2002-08-30 22:00:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Hotbar 4.0)

Description of problem:
Following error occurs when trying to run make on rpm 4.0.4
having run
>./autogen.sh -noconfigure (completes)
>./configure (completes)
>make (produces following error)

rpmdb.c: In function `miregexec':
rpmdb.c:1654: warning: implicit declaration of function `fnmatch'
make[2]: *** [rpmdb.lo] Error 1
make[2]: Leaving directory `/usr/src/working/rpm-4.0.4/rpmdb'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/working/rpm-4.0.4'
make: *** [all-recursive-am] Error 2

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run autogen.sh + Configure
2.Run Make
3.
	

Actual Results:  Installation stops

Expected Results:  Installation to go OK

Additional info:

Comment 1 Jeff Johnson 2002-08-31 14:05:47 UTC
What platform?

FWIW, there's a fnmatch in the misc directory.
Adding -I$(top_srcdir)/misc to INCLUDES in the Makefile,
and -lmisc to linkage lines will be the fix.

Comment 2 DaClink 2002-08-31 20:49:17 UTC
Platform: It's LFS 3.2 (see www.linuxfromscratch.org) running kernel 2.4.19 
(ext3 filesystem). Running on a single Pentium 3.

Comment 3 Jeff Johnson 2003-09-15 12:50:49 UTC
add fnmatch from the misc directory to build.


Note You need to log in before you can comment on or make changes to this bug.